com.h3c.sdn.metric

## Enum TimerDataPoint.TimerIndices

- java.lang.Object
- - java.lang.Enum<TimerDataPoint.TimerIndices>
  - - com.h3c.sdn.metric.TimerDataPoint.TimerIndices

- All Implemented Interfaces:
    Serializable, Comparable<TimerDataPoint.TimerIndices>
  Enclosing class:
    TimerDataPoint

      protected static enum TimerDataPoint.TimerIndices
      extends Enum<TimerDataPoint.TimerIndices>

  Indices used for storing `TimerDataPoint` contents in a file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT`
    `MAXIMUM`
    `MEAN`
    `MINIMUM`
    `RATE`
    `STANDARD_DEVIATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimerDataPoint.TimerIndices` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimerDataPoint.TimerIndices[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COUNT

          public static final TimerDataPoint.TimerIndices COUNT

    - #### RATE

          public static final TimerDataPoint.TimerIndices RATE

    - #### MEAN

          public static final TimerDataPoint.TimerIndices MEAN

    - #### MINIMUM

          public static final TimerDataPoint.TimerIndices MINIMUM

    - #### MAXIMUM

          public static final TimerDataPoint.TimerIndices MAXIMUM

    - #### STANDARD_DEVIATION

          public static final TimerDataPoint.TimerIndices STANDARD_DEVIATION

  - ### Method Detail

    - #### values

          public static TimerDataPoint.TimerIndices[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimerDataPoint.TimerIndices c : TimerDataPoint.TimerIndices.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimerDataPoint.TimerIndices valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.